Package org.apache.lucene.search.highlight

# Interface Encoder

All Known Implementing Classes:
  `DefaultEncoder`, `SimpleHTMLEncoder`

public interface Encoder
Encodes original text. The Encoder works with the `Formatter` to generate output.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `encodeText(String originalText)`

- ## Method Details

  - ### encodeText

    String encodeText(String originalText)
    Parameters:
      `originalText` - The section of text being output